Next Previous Contents

## 3.102 mouse_setbox

> Function

>   Specify a bounding box for the mouse cursor.

> Header

>   `mouse.h`

> Declaration

>   `void __fastcall__ mouse_setbox (const struct mouse_box* box);`

> Description

>   The function allows to set a bounding box for mouse movement.

> Limits

>   - The function does not check if the mouse cursor is currently within the given rectangle. Placing the mouse cursor within the bounding box is the responsibility of the programmer.
>   - While the bounding box may be larger than the actual screen size, the standard mouse cursor draw routines may fail to set the cursor to coordinates outside of the screen area. Depending on the platform, you may have to supply your own mouse cursor routines.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   mouse_getbox, mouse_move

> Example

>   None.

Next Previous Contents